Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  <20112012  2013  2014  2015  2016  2017  2018  2019  Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  <20112012  2013  2014  2015  2016  2017  2018  2019 
<== Date ==> <== Thread ==>

Subject: EPICS (>=3.14.11) compiling problem on Snow Leopard (10.6.8)
From: "Shen, Guobao" <shengb@bnl.gov>
To: <tech-talk@aps.anl.gov>
Date: Fri, 19 Aug 2011 22:09:47 -0400
Title: EPICS (>=3.14.11) compiling problem on Snow Leopard (10.6.8)

Hi everyone,
When I tried to compile EPICS (3.14.12.1) against Snow Leopard (10.6.8), it ran into errors.
I patched all patches, but the problem was same (same problem for 3.14.11).
However, the R3.14.10 can be compiled smoothly.

Do I miss any library? Any suggestion?

The error is as below:
/usr/bin/cc -c           -DDEFAULT_SKELETON_FILE=include/flex.skel.static   -DUNIX  -Ddarwin     -O3 -g   -w      -arch i386    -fno-common  -MMD -I. -I../O.Common -I. -I.. -I../../../../include/os/Darwin -I../../../../include       -I/opt/local/include -I/sw/include  ../tblcmp.c
rm -f parse.c y.tab.c
rm -f parse.h y.tab.h
../../../../bin/darwin-x86/antelope -l -d ../parse.y
dyld: Symbol not found: _rl_insert
  Referenced from: /Users/xxxxx/V3/base/lib/darwin-x86/libCom.3.14.12.dylib
  Expected in: flat namespace
 in /Users/xxxxx/V3/base/lib/darwin-x86/libCom.3.14.12.dylib
make[4]: *** [parse.c] Trace/BPT trap
make[3]: *** [install.darwin-x86] Error 2
make[2]: *** [flex.install] Error 2
make[1]: *** [toolsComm.install] Error 2
make: *** [src.install] Error 2

Thanks,

Guobao


Replies:
(Solved) RE: EPICS (>=3.14.11) compiling problem on Snow Leopard (10.6.8) Shen, Guobao

Navigate by Date:
Prev: RE: question about ca_get, ca_pend_io timeout in EPICS client with Windows XP multi-threading Jay Steele
Next: (Solved) RE: EPICS (>=3.14.11) compiling problem on Snow Leopard (10.6.8) Shen, Guobao
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  <20112012  2013  2014  2015  2016  2017  2018  2019 
Navigate by Thread:
Prev: Announce: sequencer release 2.1.1 Benjamin Franksen
Next: (Solved) RE: EPICS (>=3.14.11) compiling problem on Snow Leopard (10.6.8) Shen, Guobao
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  <20112012  2013  2014  2015  2016  2017  2018  2019 
ANJ, 18 Nov 2013 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· Search · EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·